est.fx <- function(dataset,
                   x1.control = F,
                   x2.control = F,
                   x3.control = F,
                   x4.control = F){
  form <- as.formula(paste0("y ~ d",
                            ifelse(x1.control, " + x1", ""),
                            ifelse(x2.control, " + x2", ""),
                            ifelse(x3.control, " + x3", ""),
                            ifelse(x4.control, " + x4", "")))
  reg <- lm(form, data = dataset)
  list(coef = coef(reg), se = sqrt(diag(vcov(reg))))
}


summary.stats <- function(list.of.res){
  estimates <- list.of.res$res
  true.ate = list.of.res$ate
  
  coefs <- sapply(estimates, function(x) x[[1]][2])
  ses <- sapply(estimates, function(x) x[[2]][2])
  mins <- coefs - 1.96 * ses
  maxs <- coefs + 1.96 * ses
  inrange <- mins <= true.ate & maxs >= true.ate
  
  c(mean((coefs - true.ate) ^ 2),
    mean(inrange) * 100)
}