inv.logit <- function(x){
  exp(x) / (1+exp(x))
}

generate.dataset <- function(obs = input$obs,
                             x2.to.x1.fx = 2,
                             x2.to.x1 = input$x2.x1.link,
                             x4.to.d.fx = 1.3,
                             x1.to.d.fx = .075,
                             x1.to.y.fx = 10.2,
                             x2.to.y.fx = -0.068,
                             d.to.y.fx = input$treat.fx,
                             d.to.x3.fx = 7.1,
                             y.to.x2.fx = 3.6){
  x2 <- rpois(obs, lambda = 5)
  x4 <- rnorm(obs, mean = 0, sd = 2)
  
  if(x2.to.x1){
    x1 <- rnorm(obs, mean = 0, sd = 10) + x2.to.x1.fx * x2
  } else{
    x1 <- rnorm(obs, mean = 0, sd = 10)
  }
  
  d <- rbinom(obs, size = 1, 
              p = inv.logit(x1.to.d.fx * x1 + x4.to.d.fx * x4 + rnorm(obs)))

  y <- d.to.y.fx * d + x1.to.y.fx * x1 + x2.to.y.fx * x2 + rnorm(obs, sd = 4)
  
  x3 <- d.to.x3.fx * d + y.to.x2.fx * y + rnorm(obs, sd = 10)
  
  data.frame(x1 = x1, 
             x2 = x2, 
             x3 = x3,
             x4 = x4,
             d = d,
             y = y)
}



