shinyUI(fluidPage(
  titlePanel("Using DAGs to understand how to estimate treatment effects"),
  
  sidebarLayout(
    sidebarPanel(
      sliderInput("obs", 
                  label = "Number of observations in each dataset",
                  min = 100, max = 2500, value = 500, step = 100),
      sliderInput("n.datasets", 
                  label = "Number of datsets to generate based on the DGP",
                  min = 50, max = 1000, value = 500, step = 10),
      textInput("treat.fx",
                label = "What is the size of the true treatment effect?",
                value = 8.7),
      checkboxInput("x2.x1.link",
                    label = "Is there an arrow going from X2 to X1?"),
      actionButton("sim.data",
                   "Simulate the datasets!",
                   icon = icon("refresh", class = NULL, lib = "font-awesome")),
      
      br(),
      br(),
      br(),
      
      h4('What covariates (other than D) do you want to control for?'),
      checkboxInput("X1",
                    label = "X1"),
      checkboxInput("X2",
                    label = "X2"),
      checkboxInput("X3",
                    label = "X3"),
      checkboxInput("X4",
                    label = "X4"),
      actionButton("estimate",
                   "Estimate the treatment effect!",
                   icon = icon("thumbs-o-up", class = NULL, lib = "font-awesome"))
    ),
    
    mainPanel(plotOutput("dag"),
              plotOutput("graph"),
              textOutput("stats"),
              br(),
              br(),
              br(),
              p("This app was created by Stephen Pettigrew. Check out my website here:", 
                a("www.stephenpettigrew.com", href = "http://www.stephenpettigrew.com", target = "_blank")))
  )
))